Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/preferences/ChartsEnginePreferencePage.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/preferences/ChartsEnginePreferencePage.java	(revision 1435)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/preferences/ChartsEnginePreferencePage.java	(revision 1436)
@@ -151,12 +151,12 @@
 				// FIXME: doesn't work, works only when we quit the page and go back to it
 				// Refreshes the page to recreate the default export format combo box 
 //				PlatformUI.getWorkbench().getPreferenceManager().
-//				find("org.txm.rcp.preferences.TextometriePreferencePage/org.txm.rcp.preferences.AdvancePreferencePage/ChartsEnginePreferencePage").createPage(); //$NON-NLS-1$
+//				find("org.txm.rcp.preferences.TXMMainPreferencePage/org.txm.rcp.preferences.AdvancePreferencePage/ChartsEnginePreferencePage").createPage(); //$NON-NLS-1$
 				
 				//FIXME: old code
 				// Refresh the User\Export preference page to update "Default charts export file format" combo box
 //				PlatformUI.getWorkbench().getPreferenceManager().
-//					find("org.txm.rcp.preferences.TextometriePreferencePage/" + UserPreferencePage.ID + "/" + ExportPreferencePage.ID).createPage(); //$NON-NLS-1$ //$NON-NLS-2$
+//					find("org.txm.rcp.preferences.TXMMainPreferencePage/" + UserPreferencePage.ID + "/" + ExportPreferencePage.ID).createPage(); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 
 //			// FIXME: useless ?
Index: tmp/org.txm.rcp/plugin_customization.ini
===================================================================
--- tmp/org.txm.rcp/plugin_customization.ini	(revision 1435)
+++ tmp/org.txm.rcp/plugin_customization.ini	(revision 1436)
@@ -1,6 +1,5 @@
 org.eclipse.ui/SHOW_PROGRESS_ON_STARTUP = true
 org.eclipse.equinox.p2.ui.sdk.scheduler/enabled = true
-org.eclipse.ui/KEY_CONFIGURATION_ID=org.txm.rcp.scheme
 org.eclipse.core.net.prefs/proxiesEnabled=true
 org.eclipse.core.net.prefs/systemProxiesEnabled=true 
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load079BinaryCorpus.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load079BinaryCorpus.java	(revision 1435)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load079BinaryCorpus.java	(revision 1436)
@@ -75,6 +75,8 @@
 			return null;
 		}
 
+		System.out.println(NLS.bind("Loading the {0} binary corpus as a TXM 0.7.9 corpus...", zipFile.getName()));
+		
 		//ZIPPED FILE
 		monitor.beginTask(TXMUIMessages.loadingBinaryCorpus, 100);
 		monitor.subTask(TXMUIMessages.extractingBinaryCorpus);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load080BinaryCorpus.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load080BinaryCorpus.java	(revision 1435)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load080BinaryCorpus.java	(revision 1436)
@@ -70,6 +70,8 @@
 			return null;
 		}
 		
+		System.out.println(NLS.bind("Loading the {0} binary corpus as a TXM 0.8.0 corpus...", zipFile.getName()));
+		
 		try {
 			//System.out.println(NLS.bind(Messages.AddBase_29, zipFile, corporaDir));
 			Zip.decompress(zipFile, Toolbox.workspace.getLocation(), false, monitor);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/OpenPreferences.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/OpenPreferences.java	(revision 0)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/OpenPreferences.java	(revision 1436)
@@ -0,0 +1,38 @@
+package org.txm.rcp.handlers.results;
+
+import org.eclipse.core.commands.ExecutionEvent;
+import org.eclipse.core.commands.ExecutionException;
+import org.eclipse.swt.widgets.Shell;
+import org.eclipse.ui.PlatformUI;
+import org.eclipse.ui.dialogs.PreferencesUtil;
+import org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog;
+import org.txm.rcp.handlers.BaseAbstractHandler;
+
+public class OpenPreferences extends BaseAbstractHandler {
+
+	@Override
+	public Object execute(ExecutionEvent event) throws ExecutionException {
+
+		Shell s = PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell();
+		
+		
+		WorkbenchPreferenceDialog dialog = (WorkbenchPreferenceDialog)PreferencesUtil.createPreferenceDialogOn(s, null, null, null);
+		dialog.open();
+//		Object o = this.getCorporaViewSelectedObject(event);
+//		TreeViewer tree = dialog.getTreeViewer();
+//		ViewerFilter[] filters = tree.getFilters();
+//			
+//		PreferencePatternFilter ppf = new PreferencePatternFilter();
+//		ppf.setPattern("TXM");
+//		
+//		ViewerFilter[] newfilters = new ViewerFilter[filters.length+1];
+//		System.arraycopy(filters, 0, newfilters, 0, filters.length);
+//		newfilters[filters.length] = ppf;
+//		tree.setFilters(newfilters);
+		
+//		PreferencePatternFilter ppf = new PreferencePatternFilter();
+//		ppf.setPattern(o.getClass().getSimpleName());
+//		dialog.getTreeViewer().setFilters(ppf);
+		return null;
+	}
+}

Property changes on: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/OpenPreferences.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.rcp/plugin.xml
===================================================================
--- tmp/org.txm.rcp/plugin.xml	(revision 1435)
+++ tmp/org.txm.rcp/plugin.xml	(revision 1436)
@@ -36,7 +36,7 @@
          </property>
          <property
                name="windowImages"
-               value="icons/logo/TXM logo 16x16.png,icons/logo/TXM logo.png,icons/logo/TXM logo 48x48.png,icons/logo/TXM logo 64x64.png,icons/logo/TXM logo 128x128.png,icons/logo/TXM logo 256x256.png">
+               value="icons/logo/TXM logo 16x16.png,icons/logo/TXM_logo.png,icons/logo/TXM logo 48x48.png,icons/logo/TXM_logo_64x64.png,icons/logo/TXM logo 128x128.png,icons/logo/TXM logo 256x256.png">
          </property>
          <property
                name="startupForegroundColor"
@@ -281,20 +281,20 @@
   <extension
          point="org.eclipse.ui.preferencePages">
       <page
-            category="org.txm.rcp.preferences.TextometriePreferencePage"
+            category="org.txm.rcp.preferences.TXMMainPreferencePage"
             class="org.txm.rcp.preferences.UserPreferencePage"
             id="org.txm.rcp.preferences.UserPreferencePage"
             name="%page.name">
       </page>
       <page
-            category="org.txm.rcp.preferences.TextometriePreferencePage"
+            category="org.txm.rcp.preferences.TXMMainPreferencePage"
             class="org.txm.rcp.preferences.AdvancedPreferencePage"
             id="org.txm.rcp.preferences.AdvancePreferencePage"
             name="%page.name.0">
       </page>
       <page
             class="org.txm.rcp.preferences.TXMMainPreferencePage"
-            id="org.txm.rcp.preferences.TextometriePreferencePage"
+            id="org.txm.rcp.preferences.TXMMainPreferencePage"
             name="%page.name.6">
       </page>
       <page
@@ -2099,27 +2099,11 @@
                   visible="true">
             </separator>
             <command
-                  commandId="org.eclipse.ui.window.preferences"
+                  commandId="org.txm.rcp.handlers.results.OpenPreferences"
                   icon="icons/functions/prefs.png"
                   label="%command.label.4"
                   style="push">
             </command>
-            <command
-                  commandId="org.txm.rcp.commands.workspace.RebuildCorpus"
-                  label="Reconstruire"
-                  style="push">
-               <visibleWhen
-                     checkEnabled="false">
-                  <or>
-                     <reference
-                           definitionId="OneProjectSelected">
-                     </reference>
-                     <reference
-                           definitionId="OneMainCorpusSelected">
-                     </reference>
-                  </or>
-               </visibleWhen>
-            </command>
 
       </menuContribution>
 
@@ -2650,6 +2634,13 @@
                   id="org.txm.rcp.handlers.results.HideIntermediateParents"
                   name="Hide intermediate parents">
             </command>
+            <command
+                  categoryId="org.txm.rcp.categories.results"
+                  defaultHandler="org.txm.rcp.handlers.results.OpenPreferences"
+                  description="Open the preferences pages concerning the current selection"
+                  id="org.txm.rcp.handlers.results.OpenPreferences"
+                  name="OpenPreferences">
+            </command>
    </extension>
    <extension
          id="scripts"
@@ -3083,7 +3074,7 @@
             sequence="M1+S">
       </key>
    </extension>
-   <extension
+<!--   <extension
          point="org.eclipse.e4.ui.css.swt.theme">
       <theme
             basestylesheeturi="css/default_linux.css"
@@ -3103,7 +3094,7 @@
             label="TXM"
             os="macosx">
       </theme>
-   </extension>
+   </extension>-->
    <extension
          point="org.eclipse.ui.contexts">
       <context
Index: tmp/org.txm.chartsengine.r.rcp/src/org/txm/rcp/chartsengine/r/preferences/RChartsEnginePreferencePage.java
===================================================================
--- tmp/org.txm.chartsengine.r.rcp/src/org/txm/rcp/chartsengine/r/preferences/RChartsEnginePreferencePage.java	(revision 1435)
+++ tmp/org.txm.chartsengine.r.rcp/src/org/txm/rcp/chartsengine/r/preferences/RChartsEnginePreferencePage.java	(revision 1436)
@@ -108,7 +108,7 @@
 //				
 //				// Refresh the User\Export preference page to update "Default charts export file format" combo box
 //				PlatformUI.getWorkbench().getPreferenceManager().
-//					find("org.txm.rcp.preferences.TextometriePreferencePage/" + UserPreferencePage.ID + "/" + ExportPreferencePage.ID).createPage(); //$NON-NLS-1$ //$NON-NLS-2$
+//					find("org.txm.rcp.preferences.TXMMainPreferencePage/" + UserPreferencePage.ID + "/" + ExportPreferencePage.ID).createPage(); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 			
 			
Index: tmp/org.txm.searchengine.cqp.rcp/plugin.xml
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/plugin.xml	(revision 1435)
+++ tmp/org.txm.searchengine.cqp.rcp/plugin.xml	(revision 1436)
@@ -27,7 +27,7 @@
       <command
             defaultHandler="org.txm.searchengine.cqp.rcp.handlers.base.CreateSubCorpus"
             id="org.txm.searchengine.cqp.rcp.handlers.base.CreateSubCorpus"
-            name="Subcorpus">
+            name="%command.name">
          <commandParameter
                id="CorpusParameter"
                name="%commandParameter.name.0"
Index: tmp/org.txm.searchengine.cqp.rcp/build.properties
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/build.properties	(revision 1435)
+++ tmp/org.txm.searchengine.cqp.rcp/build.properties	(revision 1436)
@@ -1,5 +1,10 @@
 #Fri Jul 06 10:25:16 CEST 2018
-bin.includes=META-INF/,.,plugin.xml,OSGI-INF/,icons/
+bin.includes = META-INF/,\
+               .,\
+               plugin.xml,\
+               OSGI-INF/,\
+               icons/,\
+               OSGI-INF/l10n/bundle.properties
 output..=bin/
 source..=src/
 qualifier=svn
Index: tmp/org.txm.searchengine.cqp.rcp/OSGI-INF/l10n/bundle_fr.properties
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/OSGI-INF/l10n/bundle_fr.properties	(revision 1435)
+++ tmp/org.txm.searchengine.cqp.rcp/OSGI-INF/l10n/bundle_fr.properties	(revision 1436)
@@ -6,7 +6,8 @@
 command.label.148=Open biblio
 command.name.52=Corpus in binary format...
 command.label.8=Partition
-command.name.63=Open Biblio
-command.name.2=Create Partition
+command.name.63=Ouvrir la Bibliographie
+command.name.2=Partition
 command.tooltip.4=Divide the selected item in several parts
 command.tooltip.71=Export as a binary file
+command.name = Sous-corpus
\ No newline at end of file
Index: tmp/org.txm.searchengine.cqp.rcp/OSGI-INF/l10n/bundle.properties
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/OSGI-INF/l10n/bundle.properties	(revision 1435)
+++ tmp/org.txm.searchengine.cqp.rcp/OSGI-INF/l10n/bundle.properties	(revision 1436)
@@ -10,3 +10,5 @@
 command.name.2=Create Partition
 command.tooltip.4=Divide the selected item in several parts
 command.tooltip.71=Export as a binary file
+
+command.name = Subcorpus
\ No newline at end of file
Index: tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/preferences/JFCChartsEnginePreferencePage.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/preferences/JFCChartsEnginePreferencePage.java	(revision 1435)
+++ tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/preferences/JFCChartsEnginePreferencePage.java	(revision 1436)
@@ -104,7 +104,7 @@
 //					
 //				// Refresh the User\Export preference page to update "Default charts export file format" combo box
 //				PlatformUI.getWorkbench().getPreferenceManager().
-//						find("org.txm.rcp.preferences.TextometriePreferencePage/" + UserPreferencePage.ID + "/" + ExportPreferencePage.ID).createPage(); //$NON-NLS-1$ //$NON-NLS-2$
+//						find("org.txm.rcp.preferences.TXMMainPreferencePage/" + UserPreferencePage.ID + "/" + ExportPreferencePage.ID).createPage(); //$NON-NLS-1$ //$NON-NLS-2$
 			
 			}
 
